For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Live Collection Items
        • GETGet Live Collection Item
        • POSTCreate Live Collection Item(s)
        • PATCHUpdate Single Live Collection Item
        • PATCHUpdate Live Collection Item(s)
        • DELDelete Single Live Collection Item
        • DELDelete Live Collection Item(s)
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollection ItemsLive Items

Update Single Live Collection Item

PATCH
https://api.webflow.com/beta/collections/:collection_id/items/:item_id/live
PATCH
/beta/collections/:collection_id/items/:item_id/live
$curl -X PATCH "https://api.webflow.com/beta/collections/580e63fc8c9a982ac9b8b745/items/580e64008c9a982ac9b8b754/live?skipInvalidFiles=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "isArchived": false,
> "isDraft": false,
> "fieldData": {
> "name": "The Hitchhiker'\''s Guide to the Galaxy",
> "slug": "hitchhikers-guide-to-the-galaxy",
> "plain-text": "Don'\''t Panic.",
> "rich-text": "<h3>A Guide to Interstellar Travel</h3><p>A towel is about the most massively useful thing an interstellar hitchhiker can have. <strong>Don'\''t forget yours!</strong></p>",
> "main-image": {
> "fileId": "62b720ef280c7a7a3be8cabe",
> "url": "/files/62b720ef280c7a7a3be8cabe_image.png"
> },
> "image-gallery": [
> {
> "fileId": "62b720ef280c7a7a3be8cabd",
> "url": "/files/62b720ef280c7a7a3be8cabd_image.png"
> },
> {
> "fileId": "62b720ef280c7a7a3be8cabe",
> "url": "/files/62b720ef280c7a7a3be8cabe_image.png"
> }
> ],
> "intro-video": "https://www.youtube.com/watch?v=aJ83KAggd-4",
> "official-site": "https://hitchhikers.fandom.com/wiki/The_Hitchhiker%27s_Guide_to_the_Galaxy",
> "contact-email": "zaphod.beeblebrox@heartofgold.gov",
> "support-phone": "424-242-4242",
> "answer-to-everything": 42,
> "release-date": "1979-10-12T00:00:00.000Z",
> "is-featured": true,
> "brand-color": "#000000",
> "category": "62b720ef280c7a7a3be8cabf",
> "author": "62b720ef280c7a7a3be8cab0",
> "tags": [
> "62b720ef280c7a7a3be8cab1",
> "62b720ef280c7a7a3be8cab2"
> ],
> "downloadable-asset": {
> "fileId": "62b720ef280c7a7a3be8cab3",
> "url": "/files/62b720ef280c7a7a3be8cab3_document.pdf"
> }
> }
>}'
1{
2 "id": "42b720ef280c7a7a3be8cabe",
3 "lastPublished": "2022-11-29T16:22:43.159Z",
4 "lastUpdated": "2022-11-17T17:19:43.282Z",
5 "createdOn": "2022-11-17T17:11:57.148Z",
6 "fieldData": {
7 "name": "The Hitchhiker's Guide to the Galaxy",
8 "slug": "hitchhikers-guide-to-the-galaxy",
9 "plain-text": "Don't Panic.",
10 "rich-text": "<h3>A Guide to Interstellar Travel</h3><p>A towel is about the most massively useful thing an interstellar hitchhiker can have. <strong>Don't forget yours!</strong></p>",
11 "main-image": {
12 "fileId": "62b720ef280c7a7a3be8cabe",
13 "url": "/files/62b720ef280c7a7a3be8cabe_image.png"
14 },
15 "image-gallery": [
16 {
17 "fileId": "62b720ef280c7a7a3be8cabd",
18 "url": "/files/62b720ef280c7a7a3be8cabd_image.png"
19 },
20 {
21 "fileId": "62b720ef280c7a7a3be8cabe",
22 "url": "/files/62b720ef280c7a7a3be8cabe_image.png"
23 }
24 ],
25 "intro-video": "https://www.youtube.com/watch?v=aJ83KAggd-4",
26 "official-site": "https://hitchhikers.fandom.com/wiki/The_Hitchhiker%27s_Guide_to_the_Galaxy",
27 "contact-email": "zaphod.beeblebrox@heartofgold.gov",
28 "support-phone": "424-242-4242",
29 "answer-to-everything": 42,
30 "release-date": "1979-10-12T00:00:00.000Z",
31 "is-featured": true,
32 "brand-color": "#000000",
33 "category": "62b720ef280c7a7a3be8cabf",
34 "author": "62b720ef280c7a7a3be8cab0",
35 "tags": [
36 "62b720ef280c7a7a3be8cab1",
37 "62b720ef280c7a7a3be8cab2"
38 ],
39 "downloadable-asset": {
40 "fileId": "62b720ef280c7a7a3be8cab3",
41 "url": "/files/62b720ef280c7a7a3be8cab3_document.pdf"
42 }
43 },
44 "cmsLocaleId": "653ad57de882f528b32e810e",
45 "isArchived": false,
46 "isDraft": false
47}

Update a selected live Item in a Collection. The updates for this Item will be published to the live site.

Required scope | CMS:write

Was this page helpful?
Previous

Update Live Collection Item(s)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection
item_idstringRequiredformat: "objectid"
Unique identifier for an Item

Query parameters

skipInvalidFilesbooleanOptionalDefaults to true
When true, invalid files are skipped and processing continues. When false, the entire request fails if any file is invalid.

Request

Details of the item to update
cmsLocaleIdstringOptional
Identifier for the locale of the CMS item
isArchivedbooleanOptional
Boolean determining if the Item is set to archived
isDraftbooleanOptional
Boolean determining if the Item is set to draft
fieldDataobjectOptional

Response

Request was successful
idstringRead-only
Unique identifier for the Item
lastPublishedstringRead-onlyformat: "date-string"
The date the item was last published
lastUpdatedstringRead-onlyformat: "date-string"
The date the item was last updated
createdOnstringRead-onlyformat: "date-string"
The date the item was created
fieldDataobject
cmsLocaleIdstring
Identifier for the locale of the CMS item
isArchivedbooleanDefaults to false
Boolean determining if the Item is set to archived
isDraftbooleanDefaults to false
Boolean determining if the Item is set to draft

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error